NX Open C++ Reference Guide
|
Represents a @link Motion::BodyContactBuilder Motion::BodyContactBuilder@endlink <br> To create a new instance of this class, use @link Motion::BodyContactCollection::CreateBodyContactBuilder Motion::BodyContactCollection::CreateBodyContactBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Motion::BodyContactAdams * | AdamsParameters () |
Returns the 3D BodyContact's subobject (the adams parameters) Created in NX5.0.0. | |
NXOpen::SelectNXObjectList * | FirstContactGeometry () |
Returns the selection of the first contact geometry Created in NX5.0.0. | |
NXString | Name () |
Returns the name Created in NX6.0.0. | |
NXOpen::Motion::BodyContactRecurdyn * | RecurdynParameters () |
Returns the 3D BodyContact's subobject (the recurdyn parameters) Created in NX5.0.0. | |
NXOpen::SelectNXObjectList * | SecondContactGeometry () |
Returns the selection of the second contact geometry Created in NX5.0.0. | |
void | SetName (const NXString &name) |
Sets the name Created in NX6.0.0. | |
void | SetName (const char *name) |
Sets the name Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Motion::BodyContactBuilder Motion::BodyContactBuilder@endlink <br> To create a new instance of this class, use @link Motion::BodyContactCollection::CreateBodyContactBuilder Motion::BodyContactCollection::CreateBodyContactBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AdamsParameters.CoulombFrictionOption |
Off |
AdamsParameters.DynamicCoefficientExpression.Value |
0.2 |
AdamsParameters.ForceExponentExpression.Value |
2.0 |
AdamsParameters.ForceModelType |
Impact |
AdamsParameters.FrictionVelocityExpression.Value |
0.1 (millimeters part), 0.003937 (inches part) |
AdamsParameters.MaterialDampingExpression.Value |
10000.0 (millimeters part), 57.0993 (inches part) |
AdamsParameters.PenetrationDepthExpression.Value |
0.01 (millimeters part), 0.0003937 (inches part) |
AdamsParameters.RestitutionCoefficentExpression.Value |
0.85 |
AdamsParameters.StaticCoefficientExpression.Value |
0.3 |
AdamsParameters.StictionVelocityExpression.Value |
0.01 (millimeters part), 0.0003937 (inches part) |
AdamsParameters.StiffnessExpression.Value |
100000000.0 (millimeters part), 570993.142 (inches part) |
RecurdynParameters.BufferRadiusFactorExpression.Value |
1.2 |
RecurdynParameters.ContactTypeOption |
Solid |
RecurdynParameters.CoulombFrictionOption |
Off |
RecurdynParameters.DynamicCoefficientExpression.Value |
0.2 |
RecurdynParameters.FirstGeometryBoundingBufferLengthExpression.Value |
20 (millimeters part), 0.7874 (inches part) |
RecurdynParameters.FirstGeometryMaxFacetSizeFactorExpression.Value |
2.0 |
RecurdynParameters.FirstGeometryMaxFacetSizeFactorFlag |
False |
RecurdynParameters.FirstGeometryMaximumPenetrationExpression.Value |
1.0 (millimeters part), 0.03937 (inches part) |
RecurdynParameters.FirstGeometryPlaneToleranceFactorExpression.Value |
5.0 |
RecurdynParameters.FirstGeometryPlaneToleranceFactorSolidContactExpression.Value |
3.0 |
RecurdynParameters.ForceExponentExpression.Value |
2.0 |
RecurdynParameters.ForceModelType |
Impact |
RecurdynParameters.FrictionVelocityExpression.Value |
0.1 (millimeters part), 0.003937 (inches part) |
RecurdynParameters.GlobalMaxPenetrationExpression.Value |
10.0 (millimeters part), 0.3937 (inches part) |
RecurdynParameters.LocalMaxPenetrationExpression.Value |
0.0 |
RecurdynParameters.MaterialDampingExpression.Value |
10000.0 (millimeters part), 57.0993 (inches part) |
RecurdynParameters.MaximumStepSizeFactorExpression.Value |
10.0 |
RecurdynParameters.PenetrationDepthExpression.Value |
0.01 (millimeters part), 0.0003937 (inches part) |
RecurdynParameters.ReboundDampingFactorExpression.Value |
0.25 |
RecurdynParameters.ReboundDampingFactorFlag |
True |
RecurdynParameters.SecondGeometryBoundingBufferLengthExpression.Value |
20 (millimeters part), 0.7874 (inches part) |
RecurdynParameters.SecondGeometryMaxFacetSizeFactorExpression.Value |
2.0 |
RecurdynParameters.SecondGeometryMaxFacetSizeFactorFlag |
False |
RecurdynParameters.SecondGeometryMaximumPenetrationExpression.Value |
1.0 (millimeters part), 0.03937 (inches part) |
RecurdynParameters.SecondGeometryPlaneToleranceFactorExpression.Value |
5.0 |
RecurdynParameters.SecondGeometryPlaneToleranceFactorSolidContactExpression.Value |
3.0 |
RecurdynParameters.StaticCoefficientExpression.Value |
0.3 |
RecurdynParameters.StictionVelocityExpression.Value |
0.01 (millimeters part), 0.0003937 (inches part) |
RecurdynParameters.StiffnessExpression.Value |
100000000.0 (millimeters part), 570993.142 (inches part) |
RecurdynParameters.SurfaceTypeOption |
Faceted |
Created in NX5.0.0.
NXOpen::Motion::BodyContactAdams* NXOpen::Motion::BodyContactBuilder::AdamsParameters | ( | ) |
Returns the 3D BodyContact's subobject (the adams parameters)
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Motion::BodyContactBuilder::FirstContactGeometry | ( | ) |
Returns the selection of the first contact geometry
Created in NX5.0.0.
License requirements : None
NXString NXOpen::Motion::BodyContactBuilder::Name | ( | ) |
Returns the name
Created in NX6.0.0.
License requirements : None
NXOpen::Motion::BodyContactRecurdyn* NXOpen::Motion::BodyContactBuilder::RecurdynParameters | ( | ) |
Returns the 3D BodyContact's subobject (the recurdyn parameters)
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Motion::BodyContactBuilder::SecondContactGeometry | ( | ) |
Returns the selection of the second contact geometry
Created in NX5.0.0.
License requirements : None
void NXOpen::Motion::BodyContactBuilder::SetName | ( | const NXString & | name | ) |
Sets the name
Created in NX6.0.0.
License requirements : mechanisms ("MECHANISMS")
name | name |
void NXOpen::Motion::BodyContactBuilder::SetName | ( | const char * | name | ) |
Sets the name
Created in NX6.0.0.
License requirements : mechanisms ("MECHANISMS")
name | name |